[SOLVED] Trouble with Ruby on Rails

Questions about applications and software
Forum rules
Before you post please read this

[SOLVED] Trouble with Ruby on Rails

Postby safetycopy on Tue Sep 22, 2009 9:59 pm

Hi All :)

I'm trying to get a Ruby on Rails environment set up by following http://forums.linuxmint.com/viewtopic.php?f=42&t=20868&start=0&hilit=ruby+rails. I'm fine up to the part where I install Rails. The Rails gem seems to install OK, but when I do a Rails -v from the command line, I get bash: /usr/local/bin/rails: /usr/local/bin/ruby: bad interpreter: No such file or directory.

I'm brand-new to Linux, so I'm not really sure how to go about troubleshooting this and would greatly appreciate any suggestions!

Dan
Last edited by safetycopy on Tue Mar 30, 2010 9:27 pm, edited 1 time in total.
Llinux Mint 17 XFCE | Acer Aspire One
safetycopy
Level 1
Level 1
 
Posts: 45
Joined: Mon Dec 01, 2008 5:44 pm

Linux Mint is funded by ads and donations.
 

Re: Trouble with Ruby on Rails

Postby safetycopy on Thu Sep 24, 2009 5:09 pm

Still having trouble with this :(

I'm going to attempt to remove everything and try again from scratch. I'm not sure if there will be configuration and stuff left over, but I'm not sure what else to try.
Llinux Mint 17 XFCE | Acer Aspire One
safetycopy
Level 1
Level 1
 
Posts: 45
Joined: Mon Dec 01, 2008 5:44 pm

Re: Trouble with Ruby on Rails

Postby Husse on Fri Sep 25, 2009 11:58 am

bash: /usr/local/bin/rails: /usr/local/bin/ruby: bad interpreter: No such file or directory.

This surely indicates that something has gone haywire - the message means literally what it says and if the files that should have been installed is not there....
I can't help you with specific Ruby questions, not a language I've been using
Image
Don't fix it if it ain't broken, don't break it if you can't fix it
Husse
Level 21
Level 21
 
Posts: 19710
Joined: Sun Feb 11, 2007 7:22 am
Location: Near Borås Sweden

Re: Trouble with Ruby on Rails

Postby safetycopy on Fri Sep 25, 2009 6:45 pm

Actually, you just beat me to posting...

I managed to get things sorted out last night. Seems I confused things with installing and uninstalling everything multiple times while trying to get set up. Different versions of Ruby from source and packages, etc, etc. I finally figured out how to completely remove everything and start from scratch and am now up and running like a good 'un.

Thanks for the reply though :)
Llinux Mint 17 XFCE | Acer Aspire One
safetycopy
Level 1
Level 1
 
Posts: 45
Joined: Mon Dec 01, 2008 5:44 pm


Return to Software & Applications

Who is online

Users browsing this forum: No registered users and 11 guests